<?php

/**
 * @file
 * Contains \Drupal\multiline_formatter\Plugin\Field\FieldFormatter\MultilineFormatter.
 */

namespace Drupal\multiline_formatter\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FormatterBase;
use Drupal\Core\Field\FieldItemListInterface;

/**
 * Plugin implementation of the 'multiline_formatter' formatter.
 *
 * @FieldFormatter(
 *   id = "multiline_formatte",
 *   label = @Translation("Multiline formatter"),
 *   field_types = {
 *     "string",
 *     "string_long",
 *     "text",
 *     "link",
 *   }
 * )
 */
class MultilineFormatter extends FormatterBase
{
    /**
     * {@inheritdoc}
     */
    public function viewElements(FieldItemListInterface $items, $langcode) {
        $elements = array();

        foreach ($items as $delta => $item) {
            $elements[$delta] = array(
                '#type' => 'markup',
                '#markup' => MultilineFormatter::doubleSpaceToBr($item->value),
            );
        }

        return $elements;
    }

    public static function doubleSpaceToBr($value){
        return str_replace('  ', '<br>',$value);
    }
}

